@echo off
cls

:top
echo.
echo You are playing Hendricks266's H266MOD.
echo.
pause
echo.

:check
if not exist eduke32.exe goto no
if exist duke3d_xtr.zip goto xtr
if exist duke3d_hrp.zip goto hrp

:hrp
set a=-gduke3d_hrp.zip
goto dukedc

:xtr
set a=-gduke3d_xtr.zip
goto dukedc

:dukedc
if exist dukedc_hrp.zip set b=-gdukedc_hrp.zip
if exist dukedc.grp set c=-gdukedc.grp
goto run

:run
EDuke32.exe -hH266.def -xHGame.con "c" -gH266MOD.zip "a" "b"
exit

:no
echo You don't have EDuke32.exe in your directory.
echo Aborting Launch.
echo.
pause
